#
# spec file for package easytag
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           easytag
Version:        2.3.5
Release:        26.1
Summary:        GTK+ tag editor for audio files
License:        GPL-2.0+
Group:          Productivity/Multimedia/Sound/Utilities
Url:            http://projects.gnome.org/easytag/
Source:         http://download.gnome.org/sources/easytag/2.3/%{name}-%{version}.tar.xz
BuildRequires:  gcc-c++
BuildRequires:  gtk-doc
BuildRequires:  hicolor-icon-theme
BuildRequires:  id3lib-devel
BuildRequires:  intltool >= 0.50.0
BuildRequires:  pkg-config >= 0.24
BuildRequires:  update-desktop-files
BuildRequires:  yelp-tools
BuildRequires:  pkgconfig(flac) >= 1.1.4
BuildRequires:  pkgconfig(gio-2.0) >= 2.32.0
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(id3tag)
BuildRequires:  pkgconfig(libnautilus-extension)
BuildRequires:  pkgconfig(ogg) >= 1.0
BuildRequires:  pkgconfig(opusfile)
BuildRequires:  pkgconfig(speex)
BuildRequires:  pkgconfig(taglib_c) >= 1.6.0
BuildRequires:  pkgconfig(vorbis) >= 1.0.1
BuildRequires:  pkgconfig(vorbisfile)
BuildRequires:  pkgconfig(wavpack) >= 4.40
Recommends:     %{name}-lang
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
EasyTAG is a utility for viewing and editing tags for MP3, MP2, MP4/AAC, FLAC, Ogg Vorbis,
MusePack, Monkey's Audio and WavPack files.

Its simple and nice GTK+ interface makes tagging easier.

%package -n nautilus-plugin-easytag
Summary:        Nautilus extension for opening in EasyTAG
Group:          Productivity/File utilities
Requires:       %{name} = %{version}
Supplements:    packageand(%{name}:nautilus)

%description -n nautilus-plugin-easytag
Nautilus extension to add "Open with EasyTAG" to the Nautilus context menu, for
easier access to EasyTAG when opening directories and audio files.

%lang_package

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install
find %{buildroot}%{_libdir} -name '*.la' -delete -print
%suse_update_desktop_file %{name}
%find_lang %{name}
# We take the HACKERS and AUTHORS file to the standard package doc
rm -rf %{buildroot}%{_datadir}/doc

%post
%desktop_database_post
%icon_theme_cache_post
%{glib2_gsettings_schema_post}

%postun
%desktop_database_postun
%icon_theme_cache_postun
%{glib2_gsettings_schema_postun}

%files
%defattr(-,root,root)
%doc ChangeLog README COPYING HACKING THANKS TODO
%{_bindir}/%{name}
%dir %{_datadir}/appdata/
%{_datadir}/appdata/easytag.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.EasyTAG.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.EasyTAG.gschema.xml
%{_datadir}/icons/hicolor/*/apps/%{name}.*
%{_mandir}/man1/%{name}.1%{?ext_man}

%files lang -f %{name}.lang
%defattr(-,root,root)

%files -n nautilus-plugin-easytag
%defattr(-,root,root)
%{_datadir}/appdata/easytag-nautilus.metainfo.xml
%{_libdir}/nautilus/extensions-3.0/libnautilus-easytag.so

%changelog
* Wed Apr  8 2015 dimstar@opensuse.org
- Build nautilus extension (open with easytag):
  + Add pkgconfig(libnautilus-extension) BuildRequires.
  + Split new package nautilus-plugin-easytag.
* Wed Mar 18 2015 dimstar@opensuse.org
- Update to version 2.3.5:
  + Fix changing tag fields containing certain characters.
  + Fix for truncated CDDB results.
  + Fix changing the artwork description.
  + Avoid a crash when reading FLAC files with no tags.
  + Avoid a crash when reading invalid MP3 files.
  + Further refactoring of the internal file list code.
  + Add several unit tests.
  + Handle empty descriptions in ID3 tag artwork.
  + Build against the patched Debian version of id3lib.
  + Fix compilation when FLAC support is disabled.
  + Avoid a runtime warning in the file browser.
  + Fix a couple of Coverity warnings.
  + Fix string format sign warnings with GCC 5.0.
  + Further improvements to compiler warning flag checking.
  + Updated translations.
* Sat Feb  7 2015 zaitor@opensuse.org
- Update to version 2.3.4:
  + Fix crash when saving FLAC tags.
  + Port to use AX_COMPILER_FLAGS for improved compiler warning
    checks.
  + Many compiler warning fixes, discovered after enabling extra
    warnings.
  + Fixes for two Coverity warnings.
  + Improve validation of Vorbis artwork and MIME types.
  + Refactoring of internal file list code.
  + Relicense id3lib wrapper to GPLv2+.
  + Updated translations.
* Fri Feb  6 2015 dimstar@opensuse.org
- Update to version 2.3.3:
  + Add album artist support for WavPack and APE tags.
  + Add channel mask reading support for WavPack tags.
  + Reduce memory usage when copying cover art, such as when
    modifying tags which contain images.
  + Use GIO when reading and writing FLAC, ID3v2.4 and WavPack
    tags.
  + Use GIO for reading and writing list store files.
  + Fix an error check when saving WavPack tags.
  + Clear empty fields when saving WavPack tags.
  + Allow the search dialog tree view to expand to fill the
    dialog.
  + Fix the disc number preferences controls.
  + Fix a crash when migrating configuration directories.
  + Fix a double unref when renaming files.
  + Fix memory leaks in the CDDB dialog, Ogg tagging code, Speex
    tagging code, FLAC tagging code, images tree view and the
    WavPack tagging code.
  + Fix stripping of disc number fields in ID3v2.4 tags.
  + Fix Ctrl-clicking to modify the file list selection.
  + Add an automated test for file type detection.
  + Refactoring of internal file list code.
  + Refactoring of FLAC and WavPack tagging code.
  + Relicense all code (excluding the Nautilus extension) under the
    GNU GPL version 2 or later.
- Changes from version 2.3.2:
  + Fix a crash when reading empty FLAC tags.
  + Fix an assertion failure when reading empty ID3 tags.
  + Fix incorrect track durations when searching CDDB.
  + Fix the log view being forcibly shown on startup.
  + Fix launching of external applications.
  + Fix many memory leaks in the CDDB search dialog.
  + Improve setting handling for the process fields scanner.
  + Improve file list selection handling.
  + Allow the tag area images tree view to expand if space is
    available.
  + Improve ID3v2 handling with Ogg files.
  + Add more fragments from which to guess the image type.
  + Add AppData metainfo description for Nautilus extension.
  + Add several automated tests.
  + Add a separator row below the all albums row in the artist
    tree view.
  + Improvements to the Mallard help.
  + Updated translations.
- Add %%glib2_gsettings_schema_post/postun calls, as easytag newly
  installs glib schemas.
* Fri Feb  6 2015 zaitor@opensuse.org
- Update to version 2.2.6:
  + Fix crash when saving FLAC tags.
  + Fix more CDDB search dialog memory leaks.
  + Fix memory leaks when loading and saving Speex and Ogg files.
  + Fix a crash when renaming files.
  + Fix Ctrl-clicking to toggle file selection.
  + Fix stripping the disc number from ID3v2.4 tags.
  + Support album artist fields in WavPack tags.
  + Improve validation of Vorbis artwork and MIME types.
  + Several improvements to WavPack tag support.
  + Relicense all code under the GNU GPL version 2 or later.
  + Fix menu items used for tag field case conversion.
  + Updated translations.
* Tue Nov 25 2014 badshah400@gmail.com
- Update to version 2.2.5:
  + Fix many memory leaks in the CDDB search dialog.
  + Clear empty cover art and album artist fields in MP4 tags.
  + Fix a memory leak and invalid read in the MP4 tagging code.
  + Improve ID3v2 handling with Ogg files.
  + Improve file list selection handling.
  + Fix several memory leaks in the file browser.
  + Show updated images in the Windows installer.
  + Updated translations.
* Sat Sep 27 2014 zaitor@opensuse.org
- Update to version 2.2.4:
  + Fix a crash when reloading the directory tree.
  + Fix delays, and a possible crash, when running CDDB searches.
  + Handle renaming on case-insensitive filesystems.
  + Provide a useful error message when failing to write files.
  + Fix memory leak in check for buggy id3lib version.
  + Improvements to scanner help.
  + Scanner help fixes.
  + Updated translations.
* Fri May  9 2014 zaitor@opensuse.org
- Update to version 2.2.2:
  + Fix loading filenames from a text file.
  + Fix saving Ogg cover art without a description.
  + Fix check for broken id3lib UTF-16 writing.
  + Fix keyboard navigation to allow escaping the tag area.
  + Update ID3v1 genre list.
  + Revert asynchronous image handling changes.
  + Fix ID3 memory leak fix.
  + Updated translations.
* Sat Apr 12 2014 zaitor@opensuse.org
- Update to version 2.2.0:
  + Several stability fixes.
  + Use GTK+ 3 by default, but still allow building against GTK+ 2.
  + Support extended tag fields in MP4 files.
  + Support GIF images in tags.
  + Add Ogg Opus support, asynchronous image loading, scanner
    function tests and new Vorbis cover art support.
  + Add MP4 cover art and GIO support.
  + Fix for Roman numeral capitalization.
  + Ask for confirmation before overwriting during renaming.
  + Mallard help updates.
  + Avoid truncating Vorbis audio data when saving
  + Updated translations.
- Replace pkgconfig(gtk+-2.0) for pkgconfig(gtk+-3.0)
  BuildRequires: Upstream now use GTK+ 3 by default and we are
  following.
- Add pkgconfig(opusfile) BuildRequires, in order to build the new
  Ogg Opus support.
* Fri Feb 21 2014 zaitor@opensuse.org
- Update to version 2.1.10:
  + Several memory leak and crash fixes.
  + GFileInfo porting and dummy browser row fixes.
  + Add a Contents item to the Help menu, for viewing the Mallard
    help.
  + Use g_spawn_async() to spawn child processes.
  + Reinstate ID3 tag support on Windows.
  + Remove the Quit button from the toolbar.
  + Scanner memory leak fix.
  + Add AppData XML.
  + Updated translations.
- Add %%icon_theme_cache_post / %%icon_theme_cache_postun calls to
  %%post and %%postun.
* Sat Jan  4 2014 dimstar@opensuse.org
- Update to version 2.1.9:
  + Lots of general refactoring and stability improvements.
  + Replace most mini buttons with GtkEntry icons.
  + Many memory leak and invalid read fixes.
  + Fix crash when the MusicBrainz CDDB search fails.
  + Remove ancient libmpg123 code and use id3lib for reading the
    MPEG header.
  + Many more improvements.
- Drop upstream fixed patches:
  + easytag-remove-deprecated-x-directory.patch.
  + easytag-mixed-declarations.patch.
  + easytag-nodatetime.patch.
- Add gtk-doc and yelp-tools BuildRequires: new dependencies.
* Mon Sep 30 2013 malcolmlewis@opensuse.org
- Add easytag-remove-deprecated-x-directory.patch: Remove
  deprecated x-directory/normal from .desktop.
- Add update desktop file build macros and build requires to spec
  file.
* Wed Mar  6 2013 dimstar@opensuse.org
- Initial package, version 2.1.8.
